package com.bocloud.ims.entity.resource;

import com.bocloud.common.utils.DateSerializer;
import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Server资产
 * 
 * @author dongkai
 *
 */
@Table("server_assets")
public class ServerAssets extends Generic {

	@PK(value = PKStrategy.AUTO)
	private Long id; // ID
	@Column("contract_no")
	private String contractNo;
	@Column("service_start")
	@JsonSerialize(using = DateSerializer.class)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date serviceStart;
	@Column("service_end")
	@JsonSerialize(using = DateSerializer.class)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date serviceEnd;
	@Column("vendor")
	private String vendor;
	@Column("vendor_phone")
	private String vendorPhone;
	@Column("maker_phone")
	private String makerPhone;
	@Column("location")
	private String location;
	@Column("asset_tag")
	private String assetTag;
	@Column("maker")
	private String maker;
	@Column("environment")
	private String environment;
	@Column("befrom")
	private String befrom;
	@Column("version")
	private String version;
	@Column("hardware")
	private String hardware;
	@Column("sn")
	private String sn;
	@Column("slot_start")
	private Integer slotStart;
	@Column("slot_num")
	private Integer slotNum;
	@Column("server_id")
	private Long serverId;

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the contractNo
	 */
	public String getContractNo() {
		return contractNo;
	}

	/**
	 * @param contractNo
	 *            the contractNo to set
	 */
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}

	/**
	 * @return the serviceStart
	 */
	public Date getServiceStart() {
		return serviceStart;
	}

	/**
	 * @param serviceStart
	 *            the serviceStart to set
	 */
	public void setServiceStart(Date serviceStart) {
		this.serviceStart = serviceStart;
	}

	/**
	 * @return the serviceEnd
	 */
	public Date getServiceEnd() {
		return serviceEnd;
	}

	/**
	 * @param serviceEnd
	 *            the serviceEnd to set
	 */
	public void setServiceEnd(Date serviceEnd) {
		this.serviceEnd = serviceEnd;
	}

	/**
	 * @return the vendor
	 */
	public String getVendor() {
		return vendor;
	}

	/**
	 * @param vendor
	 *            the vendor to set
	 */
	public void setVendor(String vendor) {
		this.vendor = vendor;
	}

	/**
	 * @return the vendorPhone
	 */
	public String getVendorPhone() {
		return vendorPhone;
	}

	/**
	 * @param vendorPhone
	 *            the vendorPhone to set
	 */
	public void setVendorPhone(String vendorPhone) {
		this.vendorPhone = vendorPhone;
	}

	/**
	 * @return the makerPhone
	 */
	public String getMakerPhone() {
		return makerPhone;
	}

	/**
	 * @param makerPhone
	 *            the makerPhone to set
	 */
	public void setMakerPhone(String makerPhone) {
		this.makerPhone = makerPhone;
	}

	/**
	 * @return the location
	 */
	public String getLocation() {
		return location;
	}

	/**
	 * @param location
	 *            the location to set
	 */
	public void setLocation(String location) {
		this.location = location;
	}

	/**
	 * @return the assetTag
	 */
	public String getAssetTag() {
		return assetTag;
	}

	/**
	 * @param assetTag
	 *            the assetTag to set
	 */
	public void setAssetTag(String assetTag) {
		this.assetTag = assetTag;
	}

	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker
	 *            the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the environment
	 */
	public String getEnvironment() {
		return environment;
	}

	/**
	 * @param environment
	 *            the environment to set
	 */
	public void setEnvironment(String environment) {
		this.environment = environment;
	}

	/**
	 * @return the befrom
	 */
	public String getBefrom() {
		return befrom;
	}

	/**
	 * @param befrom
	 *            the befrom to set
	 */
	public void setBefrom(String befrom) {
		this.befrom = befrom;
	}

	/**
	 * @return the version
	 */
	public String getVersion() {
		return version;
	}

	/**
	 * @param version
	 *            the version to set
	 */
	public void setVersion(String version) {
		this.version = version;
	}

	/**
	 * @return the hardware
	 */
	public String getHardware() {
		return hardware;
	}

	/**
	 * @param hardware
	 *            the hardware to set
	 */
	public void setHardware(String hardware) {
		this.hardware = hardware;
	}

	/**
	 * @return the sn
	 */
	public String getSn() {
		return sn;
	}

	/**
	 * @param sn
	 *            the sn to set
	 */
	public void setSn(String sn) {
		this.sn = sn;
	}

	/**
	 * @return the serverId
	 */
	public Long getServerId() {
		return serverId;
	}

	/**
	 * @param serverId
	 *            the serverId to set
	 */
	public void setServerId(Long serverId) {
		this.serverId = serverId;
	}

	/**
	 * @return the slotStart
	 */
	public Integer getSlotStart() {
		return slotStart;
	}

	/**
	 * @param slotStart
	 *            the slotStart to set
	 */
	public void setSlotStart(Integer slotStart) {
		this.slotStart = slotStart;
	}

	/**
	 * @return the slotNum
	 */
	public Integer getSlotNum() {
		return slotNum;
	}

	/**
	 * @param slotNum
	 *            the slotNum to set
	 */
	public void setSlotNum(Integer slotNum) {
		this.slotNum = slotNum;
	}

}
